BUG TRACKER


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000018CLAMInfrastructure: Build Systempublic2011-09-02 05:062011-09-22 03:14
Reporterdgarcia 
Assigned Todgarcia 
PrioritynormalSeverityblockReproducibilityhave not tried
StatusassignedResolutionfixed 
PlatformMingwOSWindowsOS Version
Product Version1.5 (current development) 
Target Version1.5 (current development)Fixed in Version 
Summary0000018: Windows binaries do not load clam plugins
DescriptionBinaries generated by mingw crosscompiling. (setup_mingw.py script) Does not load plugins properly.

This renders NetworkEditor and Prototyper almost unusable in Windows. (No monitors, no binders...).
Steps To Reproduce- Execute the setup_mingw.py script in linux
- Ensure that you have the CLAM_LADSPA_PATH properly defined
- Run NetworkEditor with wine
- Notice that none of the scripts are loaded (ie, no monitors, no spatialization sections in the processing toolbox)

Additional InformationIt seems that the CLAM_LADSPA_PATH is takien into account and tries to load the libraries but either the libraries are not loaded or the registrators are not executed.

TagsNo tags attached.
Attached Files

- Relationships
child of 0000009assigneddgarcia Repeateable automatic build script to crosscopile for windows 

-  Notes
(0000022)
dgarcia (administrator)
2011-09-03 16:03

Seems that a workarround is copying the library dll to the directory where plugin dll is installed. So it seems that the plugin dll does not obey the PATH environ to locate the library dll.
(0000023)
dgarcia (administrator)
2011-09-04 13:28

We could copy the dll into the plugin directory as well, but it gives problems too: if a program links to library clam_A.dll and also load's all the plugins, including clam_A_plugin.dll, it load clam_A.dll from the plugin location, so you have the library added twice.

Next solution to explore: take a look at the windows documentation and see which are the dll paths you consider when loading dependencies of a runtime loaded dll.
(0000030)
svn (developer)
2011-09-21 11:08

Changeset clam [15190] by dgarcia, 2011-09-21 11:08:03 -0700 (Wed, 21 Sep 2011)
 * Added --no-as-needed option to link plugins, Fixes 0000021
 * May break other platforms ?\194?\172?\194?\172 (or maybe fixes 0000018 in windows but have to try)
U trunk/CLAM/scons/sconstools/clam.py
(0000031)
dgarcia (administrator)
2011-09-21 11:30

Sorry, an error on the comment 'maybe fixes' does not mean fixes :-)

Still in process of checking it.
(0000032)
dgarcia (administrator)
2011-09-22 03:14

No luck :-( the patch of 0000021 didn't solve this one, still have to look for a good solution.

- Issue History
Date Modified Username Field Change
2011-09-02 05:06 dgarcia New Issue
2011-09-02 05:06 dgarcia Status new => assigned
2011-09-02 05:06 dgarcia Assigned To => dgarcia
2011-09-03 16:03 dgarcia Note Added: 0000022
2011-09-03 16:04 dgarcia Relationship added parent of 0000009
2011-09-03 16:04 dgarcia Relationship deleted parent of 0000009
2011-09-03 16:04 dgarcia Relationship added child of 0000009
2011-09-04 13:28 dgarcia Note Added: 0000023
2011-09-21 11:08 svn Checkin
2011-09-21 11:08 svn Note Added: 0000030
2011-09-21 11:08 svn Status assigned => resolved
2011-09-21 11:08 svn Resolution open => fixed
2011-09-21 11:30 dgarcia Note Added: 0000031
2011-09-21 11:30 dgarcia Status resolved => assigned
2011-09-22 03:14 dgarcia Note Added: 0000032


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker